curl --request POST \
--url https://staging.housera.ro/api/v1/listings/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"city": "<string>",
"street": "<string>",
"latitude": 0,
"longitude": 0,
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"content_locale": "<string>",
"county": "<string>",
"country": "<string>",
"area": "<string>",
"address": "<string>",
"street_number": "<string>",
"street_manual": true,
"landmark": "<string>",
"rooms": 20,
"bedrooms": 15,
"bathrooms": 250,
"floor": "<string>",
"total_floors": 30,
"usable_area_sqm": 250000.5,
"built_area_sqm": 250000.5,
"land_area_sqm": 5000000.5,
"year_built": 1514,
"price": 500000000000,
"price_currency": "<string>",
"deposit_months": 1,
"deposit_amount": 500000000000,
"no_commission": true,
"utilities_included": true,
"accepts_trade": true,
"trade_accepts": [],
"trade_other": "<string>",
"heating_types": [
"<string>"
],
"materials": [
""
],
"flood_risk": true,
"underground_levels": [],
"parcel": [
[
123
]
],
"land_frontage": 5000,
"pot": 50,
"cut": 10,
"clearance_height": 50,
"power_capacity": 50000,
"floor_load_capacity": 50000,
"dock_doors_count": 250,
"orientations": [],
"parking_spots": 2500,
"balconies": 10,
"terraces": 10,
"kitchens": 25,
"garages": 25,
"lifts": 25,
"underground_floors": 5,
"interior_height": 50,
"renovated_year": 1514,
"apartments_count": 2500,
"energy_consumption": 2500,
"energy_renewable": 2500,
"emission_index": 500,
"shopfront_width": 500,
"occupancy_rate": 50,
"maintenance_cost": 50000,
"upfront_cost": 500000000,
"upfront_percent": 99,
"parking_surface_cost": 500000,
"parking_underground_cost": 500000,
"surface_total": 500000,
"surface_balconies": 500000,
"surface_terrace": 500000,
"surface_yard": 500000,
"surface_office": 500000,
"surface_office_available": 500000,
"surface_office_minimum": 500000,
"surface_production": 500000,
"surface_storage": 500000,
"footprint": 500000,
"street_openings": 10,
"openings_length": 5000,
"access_road_width": 50,
"utilities_distance": 50000,
"construction_on_land": true,
"land_utr": "<string>",
"land_height_max": 250,
"land_width": 50000,
"land_length": 50000,
"surface_display": 500000,
"finishing": "<string>",
"technical_details": "<string>",
"nearby": "<string>",
"available_from_note": "<string>",
"commission_note": "<string>",
"commission_percent": 10,
"commission_vat": true,
"available_from": "2023-12-25",
"retired_floors": 25,
"lockers_count": 500,
"negotiable": true,
"historical_monument": true,
"property_for_investment": true,
"delivery_quarter": 2,
"delivery_year": 2018,
"sections_count": 20,
"reg_s": 10,
"reg_d": 0,
"reg_p": 0,
"reg_e": 100,
"phases_count": 10,
"unit_types": [
{
"label": "<string>",
"floors": "<string>",
"area_sqm": 5000.5,
"area_sqm_to": 5000.5,
"units_count": 5000,
"price_from": 500000000,
"rooms": 10
}
],
"features": [
"<string>"
],
"pet_friendly": true,
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"photo_keys": [
"<string>"
],
"photo_meta": [
{
"floor": "<string>",
"rooms": [
"<string>"
]
}
],
"idempotency_key": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/listings/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'city' => '<string>',
'street' => '<string>',
'latitude' => 0,
'longitude' => 0,
'contact_name' => '<string>',
'contact_phone' => '<string>',
'contact_email' => 'jsmith@example.com',
'content_locale' => '<string>',
'county' => '<string>',
'country' => '<string>',
'area' => '<string>',
'address' => '<string>',
'street_number' => '<string>',
'street_manual' => true,
'landmark' => '<string>',
'rooms' => 20,
'bedrooms' => 15,
'bathrooms' => 250,
'floor' => '<string>',
'total_floors' => 30,
'usable_area_sqm' => 250000.5,
'built_area_sqm' => 250000.5,
'land_area_sqm' => 5000000.5,
'year_built' => 1514,
'price' => 500000000000,
'price_currency' => '<string>',
'deposit_months' => 1,
'deposit_amount' => 500000000000,
'no_commission' => true,
'utilities_included' => true,
'accepts_trade' => true,
'trade_accepts' => [
],
'trade_other' => '<string>',
'heating_types' => [
'<string>'
],
'materials' => [
''
],
'flood_risk' => true,
'underground_levels' => [
],
'parcel' => [
[
123
]
],
'land_frontage' => 5000,
'pot' => 50,
'cut' => 10,
'clearance_height' => 50,
'power_capacity' => 50000,
'floor_load_capacity' => 50000,
'dock_doors_count' => 250,
'orientations' => [
],
'parking_spots' => 2500,
'balconies' => 10,
'terraces' => 10,
'kitchens' => 25,
'garages' => 25,
'lifts' => 25,
'underground_floors' => 5,
'interior_height' => 50,
'renovated_year' => 1514,
'apartments_count' => 2500,
'energy_consumption' => 2500,
'energy_renewable' => 2500,
'emission_index' => 500,
'shopfront_width' => 500,
'occupancy_rate' => 50,
'maintenance_cost' => 50000,
'upfront_cost' => 500000000,
'upfront_percent' => 99,
'parking_surface_cost' => 500000,
'parking_underground_cost' => 500000,
'surface_total' => 500000,
'surface_balconies' => 500000,
'surface_terrace' => 500000,
'surface_yard' => 500000,
'surface_office' => 500000,
'surface_office_available' => 500000,
'surface_office_minimum' => 500000,
'surface_production' => 500000,
'surface_storage' => 500000,
'footprint' => 500000,
'street_openings' => 10,
'openings_length' => 5000,
'access_road_width' => 50,
'utilities_distance' => 50000,
'construction_on_land' => true,
'land_utr' => '<string>',
'land_height_max' => 250,
'land_width' => 50000,
'land_length' => 50000,
'surface_display' => 500000,
'finishing' => '<string>',
'technical_details' => '<string>',
'nearby' => '<string>',
'available_from_note' => '<string>',
'commission_note' => '<string>',
'commission_percent' => 10,
'commission_vat' => true,
'available_from' => '2023-12-25',
'retired_floors' => 25,
'lockers_count' => 500,
'negotiable' => true,
'historical_monument' => true,
'property_for_investment' => true,
'delivery_quarter' => 2,
'delivery_year' => 2018,
'sections_count' => 20,
'reg_s' => 10,
'reg_d' => 0,
'reg_p' => 0,
'reg_e' => 100,
'phases_count' => 10,
'unit_types' => [
[
'label' => '<string>',
'floors' => '<string>',
'area_sqm' => 5000.5,
'area_sqm_to' => 5000.5,
'units_count' => 5000,
'price_from' => 500000000,
'rooms' => 10
]
],
'features' => [
'<string>'
],
'pet_friendly' => true,
'media_links' => [
'video' => '<string>',
'tour' => '<string>',
'plan' => '<string>'
],
'photo_keys' => [
'<string>'
],
'photo_meta' => [
[
'floor' => '<string>',
'rooms' => [
'<string>'
]
]
],
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
city: '<string>',
street: '<string>',
latitude: 0,
longitude: 0,
contact_name: '<string>',
contact_phone: '<string>',
contact_email: 'jsmith@example.com',
content_locale: '<string>',
county: '<string>',
country: '<string>',
area: '<string>',
address: '<string>',
street_number: '<string>',
street_manual: true,
landmark: '<string>',
rooms: 20,
bedrooms: 15,
bathrooms: 250,
floor: '<string>',
total_floors: 30,
usable_area_sqm: 250000.5,
built_area_sqm: 250000.5,
land_area_sqm: 5000000.5,
year_built: 1514,
price: 500000000000,
price_currency: '<string>',
deposit_months: 1,
deposit_amount: 500000000000,
no_commission: true,
utilities_included: true,
accepts_trade: true,
trade_accepts: [],
trade_other: '<string>',
heating_types: ['<string>'],
materials: [''],
flood_risk: true,
underground_levels: [],
parcel: [[123]],
land_frontage: 5000,
pot: 50,
cut: 10,
clearance_height: 50,
power_capacity: 50000,
floor_load_capacity: 50000,
dock_doors_count: 250,
orientations: [],
parking_spots: 2500,
balconies: 10,
terraces: 10,
kitchens: 25,
garages: 25,
lifts: 25,
underground_floors: 5,
interior_height: 50,
renovated_year: 1514,
apartments_count: 2500,
energy_consumption: 2500,
energy_renewable: 2500,
emission_index: 500,
shopfront_width: 500,
occupancy_rate: 50,
maintenance_cost: 50000,
upfront_cost: 500000000,
upfront_percent: 99,
parking_surface_cost: 500000,
parking_underground_cost: 500000,
surface_total: 500000,
surface_balconies: 500000,
surface_terrace: 500000,
surface_yard: 500000,
surface_office: 500000,
surface_office_available: 500000,
surface_office_minimum: 500000,
surface_production: 500000,
surface_storage: 500000,
footprint: 500000,
street_openings: 10,
openings_length: 5000,
access_road_width: 50,
utilities_distance: 50000,
construction_on_land: true,
land_utr: '<string>',
land_height_max: 250,
land_width: 50000,
land_length: 50000,
surface_display: 500000,
finishing: '<string>',
technical_details: '<string>',
nearby: '<string>',
available_from_note: '<string>',
commission_note: '<string>',
commission_percent: 10,
commission_vat: true,
available_from: '2023-12-25',
retired_floors: 25,
lockers_count: 500,
negotiable: true,
historical_monument: true,
property_for_investment: true,
delivery_quarter: 2,
delivery_year: 2018,
sections_count: 20,
reg_s: 10,
reg_d: 0,
reg_p: 0,
reg_e: 100,
phases_count: 10,
unit_types: [
{
label: '<string>',
floors: '<string>',
area_sqm: 5000.5,
area_sqm_to: 5000.5,
units_count: 5000,
price_from: 500000000,
rooms: 10
}
],
features: ['<string>'],
pet_friendly: true,
media_links: {video: '<string>', tour: '<string>', plan: '<string>'},
photo_keys: ['<string>'],
photo_meta: [{floor: '<string>', rooms: ['<string>']}],
idempotency_key: '<string>'
})
};
fetch('https://staging.housera.ro/api/v1/listings/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/listings/validate"
payload = {
"title": "<string>",
"description": "<string>",
"city": "<string>",
"street": "<string>",
"latitude": 0,
"longitude": 0,
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"content_locale": "<string>",
"county": "<string>",
"country": "<string>",
"area": "<string>",
"address": "<string>",
"street_number": "<string>",
"street_manual": True,
"landmark": "<string>",
"rooms": 20,
"bedrooms": 15,
"bathrooms": 250,
"floor": "<string>",
"total_floors": 30,
"usable_area_sqm": 250000.5,
"built_area_sqm": 250000.5,
"land_area_sqm": 5000000.5,
"year_built": 1514,
"price": 500000000000,
"price_currency": "<string>",
"deposit_months": 1,
"deposit_amount": 500000000000,
"no_commission": True,
"utilities_included": True,
"accepts_trade": True,
"trade_accepts": [],
"trade_other": "<string>",
"heating_types": ["<string>"],
"materials": [""],
"flood_risk": True,
"underground_levels": [],
"parcel": [[123]],
"land_frontage": 5000,
"pot": 50,
"cut": 10,
"clearance_height": 50,
"power_capacity": 50000,
"floor_load_capacity": 50000,
"dock_doors_count": 250,
"orientations": [],
"parking_spots": 2500,
"balconies": 10,
"terraces": 10,
"kitchens": 25,
"garages": 25,
"lifts": 25,
"underground_floors": 5,
"interior_height": 50,
"renovated_year": 1514,
"apartments_count": 2500,
"energy_consumption": 2500,
"energy_renewable": 2500,
"emission_index": 500,
"shopfront_width": 500,
"occupancy_rate": 50,
"maintenance_cost": 50000,
"upfront_cost": 500000000,
"upfront_percent": 99,
"parking_surface_cost": 500000,
"parking_underground_cost": 500000,
"surface_total": 500000,
"surface_balconies": 500000,
"surface_terrace": 500000,
"surface_yard": 500000,
"surface_office": 500000,
"surface_office_available": 500000,
"surface_office_minimum": 500000,
"surface_production": 500000,
"surface_storage": 500000,
"footprint": 500000,
"street_openings": 10,
"openings_length": 5000,
"access_road_width": 50,
"utilities_distance": 50000,
"construction_on_land": True,
"land_utr": "<string>",
"land_height_max": 250,
"land_width": 50000,
"land_length": 50000,
"surface_display": 500000,
"finishing": "<string>",
"technical_details": "<string>",
"nearby": "<string>",
"available_from_note": "<string>",
"commission_note": "<string>",
"commission_percent": 10,
"commission_vat": True,
"available_from": "2023-12-25",
"retired_floors": 25,
"lockers_count": 500,
"negotiable": True,
"historical_monument": True,
"property_for_investment": True,
"delivery_quarter": 2,
"delivery_year": 2018,
"sections_count": 20,
"reg_s": 10,
"reg_d": 0,
"reg_p": 0,
"reg_e": 100,
"phases_count": 10,
"unit_types": [
{
"label": "<string>",
"floors": "<string>",
"area_sqm": 5000.5,
"area_sqm_to": 5000.5,
"units_count": 5000,
"price_from": 500000000,
"rooms": 10
}
],
"features": ["<string>"],
"pet_friendly": True,
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"photo_keys": ["<string>"],
"photo_meta": [
{
"floor": "<string>",
"rooms": ["<string>"]
}
],
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"valid": true
}Validate a listing
Checks a listing with the exact publishing rules, without writing anything. Useful before the first real listing, to check your mapping.
curl --request POST \
--url https://staging.housera.ro/api/v1/listings/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"city": "<string>",
"street": "<string>",
"latitude": 0,
"longitude": 0,
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"content_locale": "<string>",
"county": "<string>",
"country": "<string>",
"area": "<string>",
"address": "<string>",
"street_number": "<string>",
"street_manual": true,
"landmark": "<string>",
"rooms": 20,
"bedrooms": 15,
"bathrooms": 250,
"floor": "<string>",
"total_floors": 30,
"usable_area_sqm": 250000.5,
"built_area_sqm": 250000.5,
"land_area_sqm": 5000000.5,
"year_built": 1514,
"price": 500000000000,
"price_currency": "<string>",
"deposit_months": 1,
"deposit_amount": 500000000000,
"no_commission": true,
"utilities_included": true,
"accepts_trade": true,
"trade_accepts": [],
"trade_other": "<string>",
"heating_types": [
"<string>"
],
"materials": [
""
],
"flood_risk": true,
"underground_levels": [],
"parcel": [
[
123
]
],
"land_frontage": 5000,
"pot": 50,
"cut": 10,
"clearance_height": 50,
"power_capacity": 50000,
"floor_load_capacity": 50000,
"dock_doors_count": 250,
"orientations": [],
"parking_spots": 2500,
"balconies": 10,
"terraces": 10,
"kitchens": 25,
"garages": 25,
"lifts": 25,
"underground_floors": 5,
"interior_height": 50,
"renovated_year": 1514,
"apartments_count": 2500,
"energy_consumption": 2500,
"energy_renewable": 2500,
"emission_index": 500,
"shopfront_width": 500,
"occupancy_rate": 50,
"maintenance_cost": 50000,
"upfront_cost": 500000000,
"upfront_percent": 99,
"parking_surface_cost": 500000,
"parking_underground_cost": 500000,
"surface_total": 500000,
"surface_balconies": 500000,
"surface_terrace": 500000,
"surface_yard": 500000,
"surface_office": 500000,
"surface_office_available": 500000,
"surface_office_minimum": 500000,
"surface_production": 500000,
"surface_storage": 500000,
"footprint": 500000,
"street_openings": 10,
"openings_length": 5000,
"access_road_width": 50,
"utilities_distance": 50000,
"construction_on_land": true,
"land_utr": "<string>",
"land_height_max": 250,
"land_width": 50000,
"land_length": 50000,
"surface_display": 500000,
"finishing": "<string>",
"technical_details": "<string>",
"nearby": "<string>",
"available_from_note": "<string>",
"commission_note": "<string>",
"commission_percent": 10,
"commission_vat": true,
"available_from": "2023-12-25",
"retired_floors": 25,
"lockers_count": 500,
"negotiable": true,
"historical_monument": true,
"property_for_investment": true,
"delivery_quarter": 2,
"delivery_year": 2018,
"sections_count": 20,
"reg_s": 10,
"reg_d": 0,
"reg_p": 0,
"reg_e": 100,
"phases_count": 10,
"unit_types": [
{
"label": "<string>",
"floors": "<string>",
"area_sqm": 5000.5,
"area_sqm_to": 5000.5,
"units_count": 5000,
"price_from": 500000000,
"rooms": 10
}
],
"features": [
"<string>"
],
"pet_friendly": true,
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"photo_keys": [
"<string>"
],
"photo_meta": [
{
"floor": "<string>",
"rooms": [
"<string>"
]
}
],
"idempotency_key": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/listings/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'city' => '<string>',
'street' => '<string>',
'latitude' => 0,
'longitude' => 0,
'contact_name' => '<string>',
'contact_phone' => '<string>',
'contact_email' => 'jsmith@example.com',
'content_locale' => '<string>',
'county' => '<string>',
'country' => '<string>',
'area' => '<string>',
'address' => '<string>',
'street_number' => '<string>',
'street_manual' => true,
'landmark' => '<string>',
'rooms' => 20,
'bedrooms' => 15,
'bathrooms' => 250,
'floor' => '<string>',
'total_floors' => 30,
'usable_area_sqm' => 250000.5,
'built_area_sqm' => 250000.5,
'land_area_sqm' => 5000000.5,
'year_built' => 1514,
'price' => 500000000000,
'price_currency' => '<string>',
'deposit_months' => 1,
'deposit_amount' => 500000000000,
'no_commission' => true,
'utilities_included' => true,
'accepts_trade' => true,
'trade_accepts' => [
],
'trade_other' => '<string>',
'heating_types' => [
'<string>'
],
'materials' => [
''
],
'flood_risk' => true,
'underground_levels' => [
],
'parcel' => [
[
123
]
],
'land_frontage' => 5000,
'pot' => 50,
'cut' => 10,
'clearance_height' => 50,
'power_capacity' => 50000,
'floor_load_capacity' => 50000,
'dock_doors_count' => 250,
'orientations' => [
],
'parking_spots' => 2500,
'balconies' => 10,
'terraces' => 10,
'kitchens' => 25,
'garages' => 25,
'lifts' => 25,
'underground_floors' => 5,
'interior_height' => 50,
'renovated_year' => 1514,
'apartments_count' => 2500,
'energy_consumption' => 2500,
'energy_renewable' => 2500,
'emission_index' => 500,
'shopfront_width' => 500,
'occupancy_rate' => 50,
'maintenance_cost' => 50000,
'upfront_cost' => 500000000,
'upfront_percent' => 99,
'parking_surface_cost' => 500000,
'parking_underground_cost' => 500000,
'surface_total' => 500000,
'surface_balconies' => 500000,
'surface_terrace' => 500000,
'surface_yard' => 500000,
'surface_office' => 500000,
'surface_office_available' => 500000,
'surface_office_minimum' => 500000,
'surface_production' => 500000,
'surface_storage' => 500000,
'footprint' => 500000,
'street_openings' => 10,
'openings_length' => 5000,
'access_road_width' => 50,
'utilities_distance' => 50000,
'construction_on_land' => true,
'land_utr' => '<string>',
'land_height_max' => 250,
'land_width' => 50000,
'land_length' => 50000,
'surface_display' => 500000,
'finishing' => '<string>',
'technical_details' => '<string>',
'nearby' => '<string>',
'available_from_note' => '<string>',
'commission_note' => '<string>',
'commission_percent' => 10,
'commission_vat' => true,
'available_from' => '2023-12-25',
'retired_floors' => 25,
'lockers_count' => 500,
'negotiable' => true,
'historical_monument' => true,
'property_for_investment' => true,
'delivery_quarter' => 2,
'delivery_year' => 2018,
'sections_count' => 20,
'reg_s' => 10,
'reg_d' => 0,
'reg_p' => 0,
'reg_e' => 100,
'phases_count' => 10,
'unit_types' => [
[
'label' => '<string>',
'floors' => '<string>',
'area_sqm' => 5000.5,
'area_sqm_to' => 5000.5,
'units_count' => 5000,
'price_from' => 500000000,
'rooms' => 10
]
],
'features' => [
'<string>'
],
'pet_friendly' => true,
'media_links' => [
'video' => '<string>',
'tour' => '<string>',
'plan' => '<string>'
],
'photo_keys' => [
'<string>'
],
'photo_meta' => [
[
'floor' => '<string>',
'rooms' => [
'<string>'
]
]
],
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
city: '<string>',
street: '<string>',
latitude: 0,
longitude: 0,
contact_name: '<string>',
contact_phone: '<string>',
contact_email: 'jsmith@example.com',
content_locale: '<string>',
county: '<string>',
country: '<string>',
area: '<string>',
address: '<string>',
street_number: '<string>',
street_manual: true,
landmark: '<string>',
rooms: 20,
bedrooms: 15,
bathrooms: 250,
floor: '<string>',
total_floors: 30,
usable_area_sqm: 250000.5,
built_area_sqm: 250000.5,
land_area_sqm: 5000000.5,
year_built: 1514,
price: 500000000000,
price_currency: '<string>',
deposit_months: 1,
deposit_amount: 500000000000,
no_commission: true,
utilities_included: true,
accepts_trade: true,
trade_accepts: [],
trade_other: '<string>',
heating_types: ['<string>'],
materials: [''],
flood_risk: true,
underground_levels: [],
parcel: [[123]],
land_frontage: 5000,
pot: 50,
cut: 10,
clearance_height: 50,
power_capacity: 50000,
floor_load_capacity: 50000,
dock_doors_count: 250,
orientations: [],
parking_spots: 2500,
balconies: 10,
terraces: 10,
kitchens: 25,
garages: 25,
lifts: 25,
underground_floors: 5,
interior_height: 50,
renovated_year: 1514,
apartments_count: 2500,
energy_consumption: 2500,
energy_renewable: 2500,
emission_index: 500,
shopfront_width: 500,
occupancy_rate: 50,
maintenance_cost: 50000,
upfront_cost: 500000000,
upfront_percent: 99,
parking_surface_cost: 500000,
parking_underground_cost: 500000,
surface_total: 500000,
surface_balconies: 500000,
surface_terrace: 500000,
surface_yard: 500000,
surface_office: 500000,
surface_office_available: 500000,
surface_office_minimum: 500000,
surface_production: 500000,
surface_storage: 500000,
footprint: 500000,
street_openings: 10,
openings_length: 5000,
access_road_width: 50,
utilities_distance: 50000,
construction_on_land: true,
land_utr: '<string>',
land_height_max: 250,
land_width: 50000,
land_length: 50000,
surface_display: 500000,
finishing: '<string>',
technical_details: '<string>',
nearby: '<string>',
available_from_note: '<string>',
commission_note: '<string>',
commission_percent: 10,
commission_vat: true,
available_from: '2023-12-25',
retired_floors: 25,
lockers_count: 500,
negotiable: true,
historical_monument: true,
property_for_investment: true,
delivery_quarter: 2,
delivery_year: 2018,
sections_count: 20,
reg_s: 10,
reg_d: 0,
reg_p: 0,
reg_e: 100,
phases_count: 10,
unit_types: [
{
label: '<string>',
floors: '<string>',
area_sqm: 5000.5,
area_sqm_to: 5000.5,
units_count: 5000,
price_from: 500000000,
rooms: 10
}
],
features: ['<string>'],
pet_friendly: true,
media_links: {video: '<string>', tour: '<string>', plan: '<string>'},
photo_keys: ['<string>'],
photo_meta: [{floor: '<string>', rooms: ['<string>']}],
idempotency_key: '<string>'
})
};
fetch('https://staging.housera.ro/api/v1/listings/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/listings/validate"
payload = {
"title": "<string>",
"description": "<string>",
"city": "<string>",
"street": "<string>",
"latitude": 0,
"longitude": 0,
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"content_locale": "<string>",
"county": "<string>",
"country": "<string>",
"area": "<string>",
"address": "<string>",
"street_number": "<string>",
"street_manual": True,
"landmark": "<string>",
"rooms": 20,
"bedrooms": 15,
"bathrooms": 250,
"floor": "<string>",
"total_floors": 30,
"usable_area_sqm": 250000.5,
"built_area_sqm": 250000.5,
"land_area_sqm": 5000000.5,
"year_built": 1514,
"price": 500000000000,
"price_currency": "<string>",
"deposit_months": 1,
"deposit_amount": 500000000000,
"no_commission": True,
"utilities_included": True,
"accepts_trade": True,
"trade_accepts": [],
"trade_other": "<string>",
"heating_types": ["<string>"],
"materials": [""],
"flood_risk": True,
"underground_levels": [],
"parcel": [[123]],
"land_frontage": 5000,
"pot": 50,
"cut": 10,
"clearance_height": 50,
"power_capacity": 50000,
"floor_load_capacity": 50000,
"dock_doors_count": 250,
"orientations": [],
"parking_spots": 2500,
"balconies": 10,
"terraces": 10,
"kitchens": 25,
"garages": 25,
"lifts": 25,
"underground_floors": 5,
"interior_height": 50,
"renovated_year": 1514,
"apartments_count": 2500,
"energy_consumption": 2500,
"energy_renewable": 2500,
"emission_index": 500,
"shopfront_width": 500,
"occupancy_rate": 50,
"maintenance_cost": 50000,
"upfront_cost": 500000000,
"upfront_percent": 99,
"parking_surface_cost": 500000,
"parking_underground_cost": 500000,
"surface_total": 500000,
"surface_balconies": 500000,
"surface_terrace": 500000,
"surface_yard": 500000,
"surface_office": 500000,
"surface_office_available": 500000,
"surface_office_minimum": 500000,
"surface_production": 500000,
"surface_storage": 500000,
"footprint": 500000,
"street_openings": 10,
"openings_length": 5000,
"access_road_width": 50,
"utilities_distance": 50000,
"construction_on_land": True,
"land_utr": "<string>",
"land_height_max": 250,
"land_width": 50000,
"land_length": 50000,
"surface_display": 500000,
"finishing": "<string>",
"technical_details": "<string>",
"nearby": "<string>",
"available_from_note": "<string>",
"commission_note": "<string>",
"commission_percent": 10,
"commission_vat": True,
"available_from": "2023-12-25",
"retired_floors": 25,
"lockers_count": 500,
"negotiable": True,
"historical_monument": True,
"property_for_investment": True,
"delivery_quarter": 2,
"delivery_year": 2018,
"sections_count": 20,
"reg_s": 10,
"reg_d": 0,
"reg_p": 0,
"reg_e": 100,
"phases_count": 10,
"unit_types": [
{
"label": "<string>",
"floors": "<string>",
"area_sqm": 5000.5,
"area_sqm_to": 5000.5,
"units_count": 5000,
"price_from": 500000000,
"rooms": 10
}
],
"features": ["<string>"],
"pet_friendly": True,
"media_links": {
"video": "<string>",
"tour": "<string>",
"plan": "<string>"
},
"photo_keys": ["<string>"],
"photo_meta": [
{
"floor": "<string>",
"rooms": ["<string>"]
}
],
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"valid": true
}Authorizations
Authorization: Bearer
Body
Property type.
apartment, house, room, complex, land, commercial, warehouse, garage, hospitality, special Transaction type.
sale, rent Title.
10 - 90Description.
30 - 5000City.
120Street.
255Latitude.
-90 <= x <= 90Longitude.
-180 <= x <= 180Contact name.
255Contact phone.
25Contact email.
255Subtype.
, null The language of the title and description (ISO 639-1, e.g. ro).
^[a-zA-Z]{2}$County.
120Country.
Neighbourhood.
120Address.
255Street number.
32Street provenance.
Landmark.
120Number of rooms.
1 <= x <= 40Number of bedrooms.
0 <= x <= 30Number of bathrooms.
0 <= x <= 500Floor.
Total number of floors.
0 <= x <= 60Usable area.
1 <= x <= 500000Built area.
1 <= x <= 500000Land area.
1 <= x <= 10000000Year built.
1000 <= x <= 2029Price.
1 <= x <= 1000000000000The currency of the submitted price, ISO 4217 code (EUR, RON or another currency from the reference exchange rate; the list is in /schema). The search compares the price converted to euros.
^[A-Z]{3}$Months of deposit.
0 <= x <= 3The required deposit, in the price currency.
0 <= x <= 1000000000000No commission.
Utilities included.
Trade accepted.
What is accepted in trade.
4similar_property, other_type, vehicle, other Other trade type.
120Trade price difference.
none, owner_pays, owner_gets, both Heating types.
1232Condition.
new, renovated, good, needs_renovation, to_demolish Furnishing.
furnished, partially_furnished, unfurnished Energy certificate.
a_plus, a0, a, b, c, d, e, f, g The status of the energy certificate: available (exists), preliminary (in the process of being issued) or exempt (the building is exempt).
available, preliminary, exempt Construction materials.
2 Windows.
pvc_thermal, triple_glazing, wood_thermal, aluminium, classic_wood Roof.
tile, metal, terrace, shingle Access.
asphalt, gravel, dirt, private Attic.
attic, roof_space, none Flood risk.
Number of underground levels.
2semi_basement, basement Parcel.
3 - 500 elements2 elementsLand classification.
inside_built_up_area, outside_built_up_area Street frontage.
1 <= x <= 10000Planning certificate.
0 <= x <= 100Layout.
0 <= x <= 20Clearance height.
0 <= x <= 100Power capacity.
1 <= x <= 100000Floor load capacity.
1 <= x <= 100000Number of dock doors.
0 <= x <= 500Building type.
apartment_block, house, studio_block, mixed Construction status.
finished, semi_finished, under_construction, grey, red, structure, project Comfort class.
first, second, third, luxury The orientations (up to 4).
4north, north_east, east, south_east, south, south_west, west, north_west Seismic risk.
emergency, class_1, class_2, class_3 Road access.
street, main_road, national_road, highway, ring_road, lake, forest, easement Pedestrian traffic.
heavy, moderate, none Number of parking spots.
0 <= x <= 5000Number of balconies.
0 <= x <= 20Number of terraces.
0 <= x <= 20Number of kitchens.
0 <= x <= 50Number of garages.
0 <= x <= 50Number of lifts.
0 <= x <= 50Number of underground floors.
0 <= x <= 10Interior height.
0 <= x <= 100Renovation year.
1000 <= x <= 2029Number of apartments.
1 <= x <= 5000Energy consumption.
0 <= x <= 5000Renewable energy consumption.
0 <= x <= 5000Emission index.
0 <= x <= 1000Shopfront width.
0 <= x <= 1000Occupancy rate.
0 <= x <= 100Maintenance cost.
0 <= x <= 100000Down payment.
0 <= x <= 1000000000Down payment percentage.
x <= 100Surface parking spot cost.
0 <= x <= 1000000Underground parking spot cost.
0 <= x <= 1000000Total surface.
0 <= x <= 1000000Balconies surface.
0 <= x <= 1000000Terrace surface.
0 <= x <= 1000000Yard surface.
0 <= x <= 1000000Total office surface.
0 <= x <= 1000000Maximum available surface.
0 <= x <= 1000000Minimum rentable surface.
0 <= x <= 1000000Production surface.
0 <= x <= 1000000Storage surface.
0 <= x <= 1000000Footprint.
0 <= x <= 1000000Number of street fronts.
0 <= x <= 20Frontage length.
0 <= x <= 10000Access road width.
0 <= x <= 100Distance to utilities.
0 <= x <= 100000Construction on the plot.
UTR.
40Maximum permitted height.
0 <= x <= 500Plot width.
0 <= x <= 100000Plot length.
0 <= x <= 100000Display surface.
0 <= x <= 1000000Finishes.
5000Technical details.
5000Surroundings.
5000Availability.
60Commission asked.
60Commission percentage.
0 <= x <= 20VAT on the commission.
VAT on the price.
included, plus, none Availability date.
Number of set-back floors.
0 <= x <= 50Number of locker rooms.
0 <= x <= 1000Negotiable price.
Historic monument.
Investment suitability.
Garage position.
underground, aboveground Bathroom type.
private, shared Roommate preference.
any, female, male Space class.
a, b, c Space layout.
open_space, separate_offices, railroad, flexible Partitioning.
detached, semi_detached, undetached, circular, railroad, unknown Complex type.
blocks, houses, offices Project stage.
under_construction, finished, mixed Delivery quarter.
1 <= x <= 4Delivery year.
2000 <= x <= 2036Number of sections.
1 <= x <= 40Height regime (S).
0 <= x <= 20Height regime (D).
0 <= x <= 1Height regime (P).
0 <= x <= 1Height regime (E).
0 <= x <= 200Top level.
none, attic, roof_space Number of phases.
1 <= x <= 20House regime.
ground, ground_plus_1, ground_plus_1_attic, ground_plus_2 Unit types.
50Show child attributes
Show child attributes
Features.
32864Pets allowed.
The media links of the listing.
Show child attributes
Show child attributes
Photo keys.
100255Photo data.
100Show child attributes
Show child attributes
Idempotency key.
64Contact role.
owner, agent, developer Response
Successful.
true: the listing passes all publishing rules.